
CREATE TABLE MIG_DOC_DEFAULTS(
	[ZZ_ID] [int] IDENTITY(0,1) NOT NULL,
	[TEMPLATE_ID] [int] NOT NULL,
	[DB_ZZ_ID] [smallint] NULL,
	[ZZ_COUNTER] [smallint] NULL,
	[DOC_KEY] [varchar](40) NULL,
	[REVISION] [varchar](6) NULL,
	[DATE_APPROVAL] [int] NULL,
	[CREATE_DATE] [int] NULL,
	[PREV_REVISION] [varchar](6) NULL,
	[STATUS] [smallint] NULL,
	[DOC_NAME] [varchar](60) NULL,
	[AUTHOR] [varchar](20) NULL,
	[ZZ_SYSTIME] [varchar](15) NULL,
	[DOC_TYPE] [smallint] NULL,
	[DATE_EFF_FROM] [int] NULL,
	[DATE_EFF_THRU] [int] NULL,
	[UPDATE_DATE] [int] NULL,
	[CLASSIFICATION] [smallint] NULL,
	[EO_ID] [varchar](30) NULL,
	[APP_FORMAT_TYPE] [smallint] NULL,
	[INTEGER1] [int] NULL,
	[INTEGER2] [int] NULL,
	[INTEGER3] [int] NULL,
	[INTEGER4] [int] NULL,
	[INTEGER5] [int] NULL,
	[STRING1] [varchar](32) NULL,
	[STRING2] [varchar](32) NULL,
	[STRING3] [varchar](32) NULL,
	[STRING4] [varchar](32) NULL,
	[STRING5] [varchar](32) NULL,
	[STRING6] [varchar](255) NULL,
	[CAGE_CODE] [smallint] NULL,
	[CUST_DOC_NO] [varchar](30) NULL,
	[CUST_DOC_REV] [varchar](20) NULL,
	[NO_OF_ECN] [int] NULL,
	[LIFE_CYCLE] [smallint] NULL,
	[OBJECT_TYPE] [smallint] NULL,
	[DOC_CLASS] [smallint] NULL,
	[CATEGORY_ID] [varchar](16) NULL,
	[CATEGORY_NAME] [varchar](150) NULL,
	[ORIGINATING_APP] [smallint] NULL,
	[LOCKED_BY] [varchar](20) NULL,
	[DATE1] [int] NULL,
	[DATE2] [int] NULL,
	[DATE3] [int] NULL,
	[LIST1] [smallint] NULL,
	[LIST2] [smallint] NULL,
	[LIST3] [smallint] NULL,
	[DERIVED_FROM] [varchar](40) NULL,
	[DERIVED_FROM_REV] [varchar](6) NULL,
	[OBSOLETE] [smallint] NULL,
	[MANUF_ID] [varchar](15) NULL,
	[MPN] [varchar](35) NULL,
	[BOM_DEFINING] [smallint] NULL,
	[PROJECT_ID] [varchar](15) NULL,
	[UPDATED_ON] [datetime2](7) NULL,
	[DOC_NAME_COMPUTED]  AS (upper([DOC_NAME])),
	[D001] [nvarchar](max) NULL,
 CONSTRAINT [PK_MIG_DOC_DEFAULTS_IDX] PRIMARY KEY CLUSTERED 
(
	[ZZ_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]




